[hipl-commit] [trunk] Rev 4105: HIPL does not depend on uuid/libuuid.

  • From: Diego Biurrun <diego@xxxxxxxxxx>
  • To: hipl-commit@xxxxxxxxxxxxx
  • Date: Tue, 30 Mar 2010 17:33:45 +0300

Committer: Diego Biurrun <diego@xxxxxxxxxx>
Date: 30/03/2010 at 17:33:45
Revision: 4105
Revision-id: diego@xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
Branch nick: trunk

Log:
  HIPL does not depend on uuid/libuuid.

Modified:
  M  autogen.sh
  M  doc/HOWTO.xml
  M  patches/openwrt/package/Makefile
  M  test/packaging/create-deb.sh
  M  test/packaging/hipl-deb.spec

=== modified file 'autogen.sh'
--- autogen.sh  2010-03-30 14:16:44 +0000
+++ autogen.sh  2010-03-30 14:33:32 +0000
@@ -6,12 +6,12 @@
     echo "The following packages are needed for building HIPL software bundle:"
     if test -e /etc/debian_version
         then
-        echo "apt-get install automake autoconf libtool gcc libgtk2.0-dev 
libssl-dev libxml2-dev xmlto doxygen iptables-dev libcap-dev libsqlite3-dev 
libuuid1 libnet-ip-perl libnet-dns-perl libsocket6-perl libio-socket-inet6-perl"
+        echo "apt-get install automake autoconf libtool gcc libgtk2.0-dev 
libssl-dev libxml2-dev xmlto doxygen iptables-dev libcap-dev libsqlite3-dev 
libnet-ip-perl libnet-dns-perl libsocket6-perl libio-socket-inet6-perl"
         echo "Optional: apt-get install pax miredo bzr"
     elif test -e /etc/redhat-release
         then
         echo "yum install gcc openssl-devel libxml2-devel autoconf automake 
libtool gtk2-devel xmlto doxygen iptables-devel libcap-devel sqlite-devel 
rpm-build perl-Net-IP perl-Net-DNS perl-Socket6 perl-IO-Socket-INET6"
-        echo "Optional: yum install uuid miredo bzr"
+        echo "Optional: yum install miredo bzr"
         echo "If yum does not find a package, try searching 'rpm.pbone.net' or 
'rpmfind.net' or install from sources"
     else
         echo -n "Unknown linux system:"
@@ -20,7 +20,7 @@
         echo "autoreconf, automake, autoconf, libtool, gcc, xmlto, doxygen, 
Socket6, IO::Socket::INET6, Net::IP and Net::DNS modules for perl"
         echo "And the following packages with their development headers:"
         echo "libgtk2.0, openssl, libxml2, iptables, libcap, libsqlite3"
-        echo "Optionally you can install also uuid, miredo, bzr"
+        echo "Optionally you can install also, bzr"
     fi
 }
 

=== modified file 'doc/HOWTO.xml'
--- doc/HOWTO.xml       2010-03-30 14:22:04 +0000
+++ doc/HOWTO.xml       2010-03-30 14:33:32 +0000
@@ -480,8 +480,6 @@
  Configuration  --->
   Linux Module Utilities  --->
    [*] modprobe
-Libraries  --->
- &lt;*&gt; libuuid
 Network  --->
  &lt;*&gt; ipsec-tools
  &lt;*&gt; isakmpd
@@ -1009,9 +1007,6 @@
         If you meet an error like "libintl.h: no such file or directory", try 
rebuilding gcc and uClibc in toolchain.
         </para>
         <para>
-        If you meet an error like "-luuid: cannot find", try rebuilding 
e2fsprogs.
-        </para>
-        <para>
         Building hipl under the kamikaze devel tree does not go well always. 
It could cause you to correct numerous errors while building it. You are warned!
         </para>
         <para>
@@ -1041,8 +1036,6 @@
  Configuration  --->
   Linux Module Utilities  --->
    [*] modprobe
-Libraries  --->
- &lt;*&gt; libuuid
 Network  --->
  &lt;*&gt; ipsec-tools
  &lt;*&gt; isakmpd

=== modified file 'patches/openwrt/package/Makefile'
--- patches/openwrt/package/Makefile    2010-03-30 13:07:13 +0000
+++ patches/openwrt/package/Makefile    2010-03-30 14:33:32 +0000
@@ -17,7 +17,7 @@
 define Package/hipl-hipd
     SECTION:=net
     CATEGORY:=Network
-    DEPENDS:=+hipl-common +genl +ip +kmod-ipsec +kmod-ipsec4 +kmod-ipsec6 
+kmod-loop +kmod-nbd +kmod-tun +libpthread +libuuid +losetup +kmod-dummy 
+kmod-ipip +kmod-crypto-authenc +kmod-ip6-tunnel
+    DEPENDS:=+hipl-common +genl +ip +kmod-ipsec +kmod-ipsec4 +kmod-ipsec6 
+kmod-loop +kmod-nbd +kmod-tun +libpthread +losetup +kmod-dummy +kmod-ipip 
+kmod-crypto-authenc +kmod-ip6-tunnel
              # TODO: probably not needed:
              #+kmod-capi +libpcap +udevtrigger +ipsec-tools +isakmpd
     TITLE:=HIPL deamon
@@ -94,7 +94,6 @@
  The libraries and configs needed for HIPL.
 endef
 
-# seen when compiling hipl: -lxml2 -lcap -lsqlite3 -lipq -luuid -lm -lcrypto
 CONFIGURE_VARS += \
     LIBS="-lz" \
     CPPFLAGS="$$$$CPPFLAGS -I$(STAGING_DIR)/usr/include/libxml2 
-I$(STAGING_DIR)/usr/include/libconfig"

=== modified file 'test/packaging/create-deb.sh'
--- test/packaging/create-deb.sh        2010-03-04 14:16:59 +0000
+++ test/packaging/create-deb.sh        2010-03-30 14:33:32 +0000
@@ -85,7 +85,7 @@
         LIBDEPS="$LIBDEPS, libssl0.9.7"
     fi
 else
-    LIBDEPS="$LIBDEPS, libssl0.9.8, libcap2, libuuid1, libnet-dns-perl, 
libnet-ip-perl, libsocket6-perl, libio-socket-inet6-perl"
+    LIBDEPS="$LIBDEPS, libssl0.9.8, libcap2, libnet-dns-perl, libnet-ip-perl, 
libsocket6-perl, libio-socket-inet6-perl"
 fi
 
 LINE0="Depends:"

=== modified file 'test/packaging/hipl-deb.spec'
--- test/packaging/hipl-deb.spec        2010-03-30 14:16:44 +0000
+++ test/packaging/hipl-deb.spec        2010-03-30 14:33:32 +0000
@@ -9,7 +9,7 @@
 Vendor: InfraHIP
 License: GPLv2
 Group: System Environment/Kernel
-BuildRequires: automake, autoconf, libtool, gcc, g++, libgtk2.0-dev, 
libssl-dev, libxml2-dev, xmlto, doxygen, iptables-dev, libcap-dev, 
libsqlite3-dev, libuuid1
+BuildRequires: automake, autoconf, libtool, gcc, g++, libgtk2.0-dev, 
libssl-dev, libxml2-dev, xmlto, doxygen, iptables-dev, libcap-dev, 
libsqlite3-dev
 ExclusiveOS: linux
 BuildRoot: %{_tmppath}/%{name}-%{version}-root
 Prefix: /usr

Other related posts:

  • » [hipl-commit] [trunk] Rev 4105: HIPL does not depend on uuid/libuuid. - Diego Biurrun